/*
 * valf_gt.h
 *
 *  Created on: 07-05-2014
 *      Author: Krzysztof Jakubczyk
 */

#ifndef VALF_GT_H_
#define VALF_GT_H_

#include "tdefs.h"

struct valf_gt_logic
{
	float *sample_ptr;
	u8 *out_ptr;
	u8 out_bit_no;
};

struct valf_gt_io
{
	u32 sample_float_in;
	u32 out;
}__attribute__((__packed__));

struct valf_gt_params
{
	double trig_val;
}__attribute__((__packed__));

struct valf_gt_args
{
	struct valf_gt_io io;
	struct valf_gt_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void valf_gt(void *args, void *logic);
extern int valf_gt_initlog(void *arguments, void *logic);

#endif /* VALF_GT_H_ */
